Subject: bug#3332: 23.0.93; Printing on MS Windows

From: Jason Rumney <[email-masked]>
Date: Wed, 20 May 2009 08:09:48 +0800

Francis Wright wrote:
> direct-print-region-helper: Opening output file: permission denied,
> c:/DOT4_001
>
> My printer is an hp LaserJet 1010 connected via USB and the printer
> driver properties show that it is connect to the port DOT4_001. I
> think the problem is that "c:/" has been prepended to the port name.
>   

Windows does that behind your back because DOT4_001 is not a real port, 
so it gets treated as a file name in the default-directory. To print on 
such a printer directly, you will have to share it and configure Emacs 
to use the network share name, or I think there is a way to redirect a 
real port (eg LPT1) to such a USB port.

> I see that the same thing happens in Emacs 22.3. (I don't print from
> Emacs very often!)
>
> If Emacs crashed, and you have the Emacs process in the gdb debugger,
> please include the output from the following gdb commands:
>     `bt full' and `xbacktrace'.
> If you would like to further debug the crash, please read the file
> c:/NTEmacs/emacs-23.0.93/etc/DEBUG for instructions.
>
>
> In GNU Emacs 23.0.93.1 (i386-mingw-nt6.0.6001)
>  of 2009-05-02 on SOFT-MJASON
> Windowing system distributor `Microsoft Corp.', version 6.0.6001
> configured using `configure --with-gcc (3.4)'
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: ENG
>   value of $XMODIFIERS: nil
>   locale-coding-system: cp1252
>   default-enable-multibyte-characters: t
>
> Major mode: Lisp Interaction
>
> Minor modes in effect:
>   tooltip-mode: t
>   tool-bar-mode: t
>   mouse-wheel-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   global-auto-composition-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent input:
> <help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
> <help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
> <help-echo> <menu-bar> <file> <print-buffer> <help-echo> 
> <help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
> <help-echo> <help-echo> <menu-bar> <help-menu> <se
> nd-emacs-bug-report>
>
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> Spooling with options (page headers are not supported)...
> direct-print-region-helper: Opening output file: permission denied,
> c:/DOT4_001
>
>
>
>
>
>
>